﻿<div tabindex="-1" class="modal fade in" id="ModalCatalog" role="dialog" aria-hidden="true" aria-labelledby="ModalCatalogLabel" style="display: none;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button class="close" aria-hidden="true" type="button" onclick="$('.modal-backdrop').remove();" data-dismiss="modal">×</button>
                <h4 class="modal-title" id="ModalCatalogLabel">@PDM.Search</h4>
            </div>
            <div class="bs-example">
                <div class="col-md-12" style="padding-top:0px;">
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.CatalogCode</label>
                        <div class="col-md-9">
                            @Html.TextBox("Catalog_Code", null, new { @Id = "Catalog_Code", @Name = "Catalog_Code", @placeholder = @PurchaseOrders.CatalogCode, @class = "form-control" })
                        </div>
                    </div>
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.CatalogName</label>
                        <div class="col-md-9">
                            @Html.TextBox("Catalog_Name", null, new { @Id = "Catalog_Name", @Name = "Catalog_Name", @placeholder = @PurchaseOrders.CatalogName, @class = "form-control" })
                        </div>
                    </div>
                </div>                
                <div class="col-md-2 pull-right">
                    <button class="btn btn-success btn-ls pull-right " id="SearchCatalog" onclick="fut_modal_body($('.modal'))" type="button" data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PDM.Search</button>
                </div>
            </div>
            <div class="panel-body limited_height">
                    <div id="CatalogListSearch">
                        @Html.Partial("_ModelCatalogList", new List<ARGNS.Model.Implementations.PDM.ARGNSCatalog>())
                    </div>
            </div>
        </div>
    </div>
</div>

<script>
    //When the modal is closed, we clean the content
    $('#ModalCatalog').on('hidden.bs.modal', function () {
        $("#CatalogListSearch").html("");
    })
</script>



